Oracle Linux 7 : git (ELSA-2017-2004)

Medium Nessus Plugin ID 102294


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2017:2004 :

An update for git is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Git is a distributed revision control system with a decentralized architecture. As opposed to centralized version control systems with a client-server model, Git ensures that each working copy of a Git repository is an exact copy with complete revision history. This not only allows the user to work on and contribute to projects without the need to have permission to push the changes to their official repositories, but also makes it possible for the user to work with no network connection.

Security Fix(es) :

* It was found that the script shipped with git failed to correctly handle branch names containing special characters. A specially crafted git repository could use this flaw to execute arbitrary commands if a user working with the repository configured their shell to include repository information in the prompt.

* A flaw was found in the way git-shell handled command-line options for the restricted set of git-shell commands. A remote, authenticated attacker could use this flaw to bypass git-shell restrictions, to view and manipulate files, by abusing the instance of the less command launched using crafted command-line options. (CVE-2017-8386)

Additional Changes :

For detailed information on changes in this release, see the Red Hat Enterprise Linux 7.4 Release Notes linked from the References section.


Update the affected git packages.

See Also

Plugin Details

Severity: Medium

ID: 102294

File Name: oraclelinux_ELSA-2017-2004.nasl

Version: $Revision: 3.2 $

Type: local

Agent: unix

Published: 2017/08/09

Modified: 2017/08/15

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND


Base Score: 8.8

Temporal Score: 8.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:X

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:emacs-git, p-cpe:/a:oracle:linux:emacs-git-el, p-cpe:/a:oracle:linux:git, p-cpe:/a:oracle:linux:git-all, p-cpe:/a:oracle:linux:git-bzr, p-cpe:/a:oracle:linux:git-cvs, p-cpe:/a:oracle:linux:git-daemon, p-cpe:/a:oracle:linux:git-email, p-cpe:/a:oracle:linux:git-gui, p-cpe:/a:oracle:linux:git-hg, p-cpe:/a:oracle:linux:git-p4, p-cpe:/a:oracle:linux:git-svn, p-cpe:/a:oracle:linux:gitk, p-cpe:/a:oracle:linux:gitweb, p-cpe:/a:oracle:linux:perl-Git, p-cpe:/a:oracle:linux:perl-Git-SVN, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/08/08

Reference Information

CVE: CVE-2014-9938, CVE-2017-8386

OSVDB: 154027, 157331

RHSA: 2017:2004